.layout {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 40px;
}

h2 {
    font-size: 26px;
    margin-bottom: 20px;
}

label {
    font-size: 20px;
}

input {
    margin-top: 10px;
    padding: 4px 10px;
    font-size: 20px;
    width: 400px; /* PC */
}

button {
    display: block;
    margin: auto;
    background-color: #333;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 20px;
    font-size: 16px;
}

button:hover{
    background-color: #f0a500;
    transition: 0.2s;
    cursor: pointer;
}

.message {
    margin-top: 20px;
    font-size: 20px;
}

@media (max-width: 768px) {
    .layout {
        width: 95%;          /* zabere většinu displeje */
        max-width: none;
        margin: 20px auto;
        text-align: center;
    }

    input {
        width: 100%;         /* plná šířka containeru */
        font-size: 18px;     /* o něco větší text */
        padding: 12px 15px;  /* víc prostoru uvnitř inputu */
        box-sizing: border-box;
        margin-top: 12px;
    }

    button {
        width: 100%;          /* přes celou šířku */
        font-size: 18px;      /* větší tlačítko */
        padding: 14px 0;
        margin-top: 16px;
        border-radius: 20px;
    }
}
